package com.ruoyi.tcZz.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcQlzxxddt;
import com.ruoyi.tcZz.mapper.TcQlzxxddtMapper;
import com.ruoyi.tcZz.service.ITcQlzxxddtService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 清朗专项行动动态Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcQlzxxddtServiceImpl implements ITcQlzxxddtService {
    @Autowired
    private TcQlzxxddtMapper tcQlzxxddtMapper;

    /**
     * 查询清朗专项行动动态
     *
     * @param id 清朗专项行动动态主键
     * @return 清朗专项行动动态
     */
    @Override
    public TcQlzxxddt selectTcQlzxxddtById(Long id) {
        return tcQlzxxddtMapper.selectTcQlzxxddtById(id);
    }

    /**
     * 查询清朗专项行动动态列表
     *
     * @param tcQlzxxddt 清朗专项行动动态
     * @return 清朗专项行动动态
     */
    @Override
    public List<TcQlzxxddt> selectTcQlzxxddtList(TcQlzxxddt tcQlzxxddt) {
        return tcQlzxxddtMapper.selectTcQlzxxddtList(tcQlzxxddt);
    }

    /**
     * 新增清朗专项行动动态
     *
     * @param tcQlzxxddt 清朗专项行动动态
     * @return 结果
     */
    @Override
    public int insertTcQlzxxddt(TcQlzxxddt tcQlzxxddt) {
        tcQlzxxddt.setCreateTime(DateUtils.getNowDate());
        return tcQlzxxddtMapper.insertTcQlzxxddt(tcQlzxxddt);
    }

    /**
     * 修改清朗专项行动动态
     *
     * @param tcQlzxxddt 清朗专项行动动态
     * @return 结果
     */
    @Override
    public int updateTcQlzxxddt(TcQlzxxddt tcQlzxxddt) {
        tcQlzxxddt.setUpdateTime(DateUtils.getNowDate());
        return tcQlzxxddtMapper.updateTcQlzxxddt(tcQlzxxddt);
    }

    /**
     * 批量删除清朗专项行动动态
     *
     * @param ids 需要删除的清朗专项行动动态主键
     * @return 结果
     */
    @Override
    public int deleteTcQlzxxddtByIds(Long[] ids) {
        return tcQlzxxddtMapper.deleteTcQlzxxddtByIds(ids);
    }

    /**
     * 删除清朗专项行动动态信息
     *
     * @param id 清朗专项行动动态主键
     * @return 结果
     */
    @Override
    public int deleteTcQlzxxddtById(Long id) {
        return tcQlzxxddtMapper.deleteTcQlzxxddtById(id);
    }

    @Override
    public String importUser(List<TcQlzxxddt> tTcQlzxxddtList) {

        StringBuilder successMsg = new StringBuilder();
        if (!tTcQlzxxddtList.isEmpty()) {
            for (TcQlzxxddt tcQlzxxddt : tTcQlzxxddtList) {
                tcQlzxxddtMapper.insertTcQlzxxddt(tcQlzxxddt);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcQlzxxddtMapper.updateByisStatus(isStatus,ids);
    }
}
